
QGIS Application - Bug report #16988

Updated canvas setting for min/max values of raster layer with pseudocolor style causes continuous 

updates

2017-08-09 11:03 AM - Johannes Kroeger

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24887

Description

Load a (singleband?) raster layer.

Set a Singleband pseudocolor.

Select "Updated canvas" for the "Statistics extent".

QGIS will now continuously update those values, flickering between different ones, without the user moving the map extents/canvas at

all.

QGIS should only update when the map extents/canvas actually changes.

Master from ~20 hours ago.

I noticed that even with just one layer loaded and not using pseudocolor but "Singleband gray", the min/max values update two times on

each canvas move. Maybe that is related?

Associated revisions

Revision a4067399 - 2017-10-18 10:31 PM - Nyall Dawson

Add render context flag to indicate canvas preview jobs

In future we can use this to optimise the preview job and shortcut

by doing lower quality/faster renders.

For now, use this flag to identify preview jobs and only apply

'updated canvas' min/max to rasters for non-preview jobs

Fixes #16988

History

#1 - 2017-08-10 10:46 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

#2 - 2017-10-18 10:31 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|a4067399750cc4a0a638f5b3479060a9a42a81e2.
